About Signal

Signal turns your iPhone, iPod touch, or Pocket PC into an advanced wireless remote control for iTunes, Winamp, or Windows Media Player. Control playback, browse or search your media library, and edit playlists from anywhere in the house - all from the palm of your hand.

For the latest software updates visit www.alloysoft.com.

What's New:

  • iPhone and iPod touch support
    Your ultimate phone is now the ultimate remote control. Signal offers a web interface specifically designed for the iPhone and iPod touch, providing complete two-way control of your favorite media player.

  • Windows Media Player support
    With Signal you can now fully control Windows Media Player from your handheld. Control playback, change songs, build playlists - everything the Signal offers is now available for Windows Media Player as well as iTunes and Winamp.

  • New media library interface
    The Pocket PC client includes a new simplified interface for browsing and searching your media library. The new interface also improves response times when accessing large media collections.

  • View the current song's album art
    Through the new Now Playing screen you can view album art for the currently playing song. For songs without album art - including internet radio stations - Signal will automatically search the internet for a matching image.

  • iTunes queuing
    Signal now automatically maintains its own queue playlist within iTunes to allow easy queuing up of songs from your device.

  • Rate songs
    Through the main control screen you can now view and assign star ratings for the currently playing song.

  • Winamp media library support
    When using Winamp as the controlled media player Signal will read its media library information from Winamp's own media library, eliminating the need for any other path configuration within Signal.

  • Browse and play your video and TV content
    In addition to your music the media library now also provides easy access to your media player's video and TV content.


Installation & Setup

Setting up the server

The first time you start the Signal server you will be presented with a configuration screen allowing you to select the media player you'd like to control. Select your desired media player from this screen and click OK. The server application will be minimized to the Signal icon in the system tray and you're now ready to connect a Pocket PC client.

Your PC's firewall software may display a prompt asking if you wish to allow Signal access to your network. Select the option to always allow Signal full access, in most cases this will be the firewall prompt's default option.

When you start the server in the future it will only appear as the system tray icon since it already has all the information it needs to control your chosen media player. If you want to change the controlled media player in the future you can click on the system tray icon to bring up the server's configuration screen. If you wish to close the server application you can right-click on the system tray icon and select "Exit".

Connecting an iPhone or iPod touch

To connect your iPhone or iPod touch open Safari on your mobile device and enter the URL displayed by the Signal application on your PC. No software installation is needed for these devices, as the entire interface is able to be delivered through the device's web browser.

Connecting a Pocket PC

When installing the Signal application on your PC an option is available to install the Pocket PC client. You can choose to use this option to install the Pocket PC application via ActiveSync, or you can enter the URL displayed by the Signal application in Pocket Internet Explorer and install over your wireless network.

When you start the Signal application on your Pocket PC it will initially display the connect screen and begin searching for the Signal server in your network. Once the client locates the PC the Signal server is running on it will automatically connect and display the main control screen.

If Auto-Discovery Is Not Possible:
If the Pocket PC client is unable to find the Signal server in your network configuration a message will be displayed indicating that auto-discovery is not possible. If you see this message first verify that the Signal server is running on your PC. If the server is not running, start it and retry auto-discovery by tapping the Connect button. If the server is already running you may need to manually specify the location of the PC running the Signal server. To do this enter your desktop PC's IP address or computer name in the "Server Address" field, then tap Connect.

If the media player you've configured Signal to control is already running on your PC Signal will display its current playlist and song information. If the media player is not currently running Signal will automatically start it for you. Once you see the main control screen configuration is complete and you're ready to begin controlling your media player!


Using an iPhone

Controlling playback

Using the media library


Controlling playback

Using the main control screen

Adjusting the volume

Selecting speakers

Rating a song


Using the main control screen

The main control screen allows you to control playback and volume, set song ratings, and toggle the settings of the active playlist. Using the playback controls you can play or pause the currently playing song as well as advancing forwards or backwards within the playlist.

Tap once on the album art to display the additional controls. From here you can adjust the volume, rate the current song, and toggle the playlist's shuffle and repeat options. Tap on the album art again to hide these controls.

You can also tap on the song name in the header bar to open the playlist view, automatically scrolled to the location of the currently playing song.


Selecting speakers

You can select the AirTunes speakers used for audio playback from your iPhone or iPod touch.

To send audio to a single speaker:

  1. Tap once on the album art to display the additional controls.
  2. Tap on the speakers icon.
  3. Set the "Multiple Speakers" option to Off.
  4. Tap on the name of the speaker you wish to send audio to.

You can also control synchronized audio playback through multiple speakers, using your iPhone or iPod touch to toggle the audio for individual speakers on or off.

To send audio to multiple speakers:

  1. Tap once on the album art to display the additional controls.
  2. Tap on the speakers icon.
  3. Set the "Multiple Speakers" option to On.
  4. Tap on the name of a speaker to toggle its audio on or off.


Adjusting the volume

You can view and set the media player's volume from your iPhone or iPod touch.

To change the volume:

  1. Tap once on the album art to display the additional controls.
  2. Tap on the volume up or volume down icons to adjust the media player's volume in either direction.

You can also directly set the volume to a specific level by tapping on a position within the volume bar. The volume will be set to the point at which you tapped. This volume bar will also update to show the current volume level if it is changed from within your media player.

Note: Sliding your finger across the volume bar cannot be used to adjust the volume, as Safari reserves the slide gesture exclusively for scrolling.


Rating a song

You can view and set the media player's star rating for the currently playing song or video from your iPhone or iPod touch.

To rate the current song:

  1. Tap once on the album art to display the additional controls.
  2. Tap on a rating to set between 1 and 5 stars. To set the rating to no stars, tap in the empty area to the left of the first star position.

The star rating displayed is updated automatically to show the rating assigned in your media player for the current song or video.


Using the media library

Browsing

Searching

Playing a song or playlist

Adding a song to the queue


Browsing the media library

From the media library view you can browse the entire contents of your media library and play or queue up media items. To open the media library view tap the [image] media library icon on the main control screen.

To navigate the media library tap on the name of an item you want to view. For example, if you tap on "Artists" the media library will update to display all artists within your library. You can then tap on the name of a particular artist to view all of the albums available for that artist. Using this approach you can drill down to a particular media item or group that you wish to interact with.

To go back up a level within the media library tap the back button. You can also quickly exit out of the media library by tapping anywhere on the header bar (between the back and search buttons).


Searching the media library

From the media library view you can search your entire library to quickly find a song, album, or artist.

To search the media library:

  1. Open to the media library view and tap Search.
  2. Tap on the search input field and type in the text you want to find.
  3. As you type, Signal will display the media library items that match the text you entered.
  4. When finished, tap Done to hide the search field again.

The results that appear can be use in the same way as if browsing for these items. Tap on an item to begin playing it, tap on a group to navigate into that group, or tap on the plus sign to queue up that item or group.


Playing a song or playlist

To play a song, video, or playlist from the media library tap on the item you wish to play. It will begin playing immediately, clearing any other items that may be in the queue.

Playing a group of songs

You can also begin playing a collection of songs at once. For example, you can play all songs within an album or by a particular artist.

To play a group of songs:

  1. Browse to or search for the genre, artist, or album you wish to play.
  2. Tap on the plus icon next to the group name.
  3. Tap Play Now in the menu that appears.

The first item in the group will begin playing, and all other items in the group are automatically added to the queue.


Adding a song to the queue

To add a song from the media library to the queue tap the plus icon next to the song name. The icon will grey out, similar to using the On-The-Go playlist in the iPod application.

Adding a collection to the queue

You can also add a collection of songs at once by tapping the plus icon next to a group name and selecting Add to Queue from the menu that appears.

The order in which groups of songs are added based on the group added. For example, if an album is added those songs will be added in the order they appear on the album. If all songs by a particular artist are added those songs will be added in alphabetical order.


Using a Pocket PC

Controlling playback

Using the media library

Configuring options


Controlling playback

Using the main control screen

Adjusting the volume

Seeking within a song

Viewing album art

Rating a song

Using the equalizer

Removing a song from the queue


Using the main control screen

  1. Playback Controls
  2. Volume Bar
  3. Song Information
  4. Playback Position Bar
  5. Shuffle Toggle
  6. Repeat Toggle
  7. Active Playlist

The main control screen allows you to control playback and the settings of the active playlist. Using the playback controls you can play, pause, or stop the currently playing song as well as advancing forwards or backwards within the playlist. In addition, the shuffle and repeat options for the active playlist can be toggled by tapping on their respective icons.

The playlist area displays all songs within the active playlist. You can select a new song to play by double-tapping on the song's entry in the playlist. You can also make use of the playlist context menu by tapping and holding on a song name. A menu will appear giving you the option of playing the selected song or removing it from the playlist (if the playlist is editable).

To automatically scroll the playlist to the position of the currently playing song tap on the song's name in the information area at the top of the screen.

The time counter in the song information area may be toggled between time elapsed and time remaining modes by tapping on it.


Adjusting the volume

To adjust the volume drag the stylus across the volume slider at the top of the screen. As you move your stylus across the slider the media player's volume will be adjusted and an informational message will be displayed to indicate the new volume level.


Seeking within a song

To seek within the currently playing media item drag the stylus across the playback position slider above the playlist area. As you move your stylus across the slider the playback time will update to indicate the value of the new position. When you release the stylus playback will jump to the new position. If you decide that you do not want to change the song's current position drag the stylus off of the playback position bar before releasing it.

Another method of seeking is to set a hardware button to the fast-forward or rewind functions via the settings screen. Once set you can begin fast-forward or rewind playback by pressing the mapped button, which are equivalent to activating the media player's fast-forward or rewind functions.


Viewing album art

To view album art for the currently playing song tap File > Now Playing. This will display the Now Playing screen which displays album art in addition to playback position information and the current song's arist, album, and title. To dismiss the Now Playing screen and return to where you were before tap anywhere on the screen.

By default the client will automatically display the Now Playing screen when the Pocket PC has not been used for several seconds. You can turn this feature off by tapping File > Settings and unchecking "Show the Now Playing screen when idle".

As on the main control screen you can toggle the playback position text between elapsed time and time remaining by tapping on it.


Rating a song

To select a star rating for the currently playing song tap and hold on its name in the playlist area and chose "Rating" from the pop-up menu that appears. A sub-menu will appear displaying the available star ratings, with a check mark next to the song's current rating. Tap on the new rating you wish to assign to the song and it will be applied within the media player.


Using the equalizer

To switch to the equalizer view tap the [image] EQ mode icon. From the equalizer view you can adjust each of the EQ bars by dragging your stylus along the appropriate bar. You can also use your stylus to draw an EQ curve across the full set of bars to quickly adjust the sound to the general settings you want, then tweak each range to the exact value.

You can also select an existing EQ preset by tapping on the "Presets" icon at the upper right of the EQ view. This will pop up a list of available presets for you to choose from. To use a particular preset select it within the list and then tap OK.

To turn the EQ on or off tap the "EQ" text above the preamp bar. When using Winamp the "Auto" EQ mode is also available and can be toggled in the same way.


Removing a song from the queue

To remove a song from the queue tap and hold on the name of the song you want to remove and choose Remove from the pop-up menu that appears.


Browsing the media library

From the media library view you can browse the entire contents of your media library and play or queue up media items. To open the media library view tap the [image] media library icon in the toolbar.

To navigate the media library tap on the name of an item you want to view. For example, if you tap on "Artists" the media library will update to display all artists within your library. You can then tap on the name of a particular artist to view all of the albums available for that artist. Using this approach you can drill down to a particular media item or group that you wish to interact with.

To go back up a level within the media library tap the [image] back arrow, or click on the name of the media library's current location. This will display a drop-down menu from which you can view and select any higher level location with the media library tree.

You can also navigate the media library using the hardware navigation buttons on your Pocket PC. Use the up and down buttons to scroll through the list of available items and press the right or action button to navigate into a group. Pressing the left arrow will act as the back button, returning to the previous page. To make the context menu for an item appear select the item using the navigation buttons then press and hold the action or center button until the pop-up menu appears.


Searching the media library

You can search your media library at any time using the search input field at the upper right of the media library view. First switch to the media library view if it is not already open by tapping on the [image] media library icon within the toolbar. Once the media library view is open tap anywhere within the search input field. The "Search" text will disappear and your Pocket PC's input panel will open automatically so you can begin entering your search terms. Your search results will appear in the area above the input panel as you enter characters. Once you see the media item or group you're looking for you can interact with it in the same way you browse your media library, tapping on a group to navigate to the page for that group or using the tap-and-hold menu to play or queue up the result.


Playing a song or playlist

To play a song, video, or playlist from the media library tap-and-hold on the item's name and select "Play now" from the pop-up menu that appears. You can also access the pop-up menu by selecting an item using the navigation keys, then pressing and holding the action or center button until the menu appears.

If the media player is currently stopped you can quickly clear the queue and start playing a new song by double-tapping on it within the media library. If the queue is already playing or paused double-tapping on a song in the media library will add it to the end of the queue.

Playing a group of items

You can also begin playing a collection of songs by using the tap-and-hold menu on a group name instead of just an individual song. For example, if you selected "Play now" from the pop-up menu for an artist's name all songs by that artist would be placed in the queue and the first would begin playing.

Playing a playlist

Playlists can also be played by using the tap-and-hold menu. Your playlists can be found under Music > Playlists, selecting "Play now" for any of these will start playback of that playlist within the media player.


Adding a song to the queue

To add a song from the media library to the queue tap-and-hold on the item's name and select "Add to queue" from the pop-up menu that appears. You can also access the pop-up menu by selecting an item using the navigation keys, then pressing and holding the action or center button until the menu appears.

If a song in the queue is already playing or paused you can quickly add a song to the end of the queue by double-tapping on it within the media library. If the media player is currently stopped double-tapping on a song will clear the current queue and start playing the new song.

Adding a collection to the queue

You can also add a collection of songs at once by using the tap-and-hold menu on a group name instead of just an individual song. For example, if you selected "Add to queue" from the pop-up menu for an artist's name all songs by that artist would be placed in the queue.

The order in which groups of songs are added is context-sensitive based on the group added. For example, if an album is added those songs will be added in the order they appear on the album. If all songs by a particular artist are added those songs will be added in alphabetical order.

Adding a playlist to the queue

The contents of a playlist can also be appended to the queue using the tap-and-hold menu. Your playlists can be found under Music > Playlists, selecting "Add to queue" for any of these will add all items within that playlist to the queue.


Controlling playback

Configuring options

Configuring hardware buttons

Power-downs and reconnecting


Configuring hardware buttons

To map the hardware buttons of your Pocket PC to Signal functions, tap on the File menu and select "Settings...". Once the settings screen is displayed, tap on the "Buttons" tab near the bottom of the screen.

This screen displays a list of all functions that may be associated with a hardware button on your device. To create a new association, double-tap on the function name within the list. The button column will then display a "Waiting..." message. Now you may push any hardware button on your device to map that button to the specified function.

To release a button, tap and hold on the function name it is assigned to and select "Release Button".


Power-downs and reconnecting

When the Pocket PC client detects the loss of its network connection to the Signal server it will automatically attempt to reconnect once the network is restored. This means that you can connect to the server, make a few changes, then power off the Pocket PC and set it down until you want to make another change. When you want to control your music again simply pick up your device and power it on. Once the Wi-Fi, Bluetooth, or ActiveSync connection has been re-established the Signal client will reconnect to the server automatically and refresh itself to show the current state of your media player.